Bug 469437 - ansi cprng needs to allow for user-provided initial counter values
ansi cprng needs to allow for user-provided initial counter values
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity medium
: rc
: ---
Assigned To: Neil Horman
Red Hat Kernel QE team
:
Depends On:
Blocks: 444768 483701 485920
  Show dependency treegraph
 
Reported: 2008-10-31 16:33 EDT by Jarod Wilson
Modified: 2009-09-02 04:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:32:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
enable reset of rng with user-provided initial counter (1.22 KB, patch)
2008-10-31 16:33 EDT, Jarod Wilson
no flags Details | Diff

  None (edit)
Description Jarod Wilson 2008-10-31 16:33:32 EDT
Created attachment 322129 [details]
enable reset of rng with user-provided initial counter

Description of problem:
The ansi cprng code currently allows resetting of the rng with a user-supplied key and seed, but for fips cavs testing (and potentially for actual users), we need to be able to pass in an initial counter (DT) value as well.

Version-Release number of selected component (if applicable):
kernel-2.6.18-121.el5

Attached is a patch that I *think* should give us everything we need, but I only started looking at this code earlier today, so I could be way off base and/or missing something else somewhere...
Comment 1 Neil Horman 2008-11-03 16:23:49 EST
Thanks jarod!  I've sent this upstream and copied you.  When it gets pulled in, I'll post it for RHEL5
Comment 2 RHEL Product and Program Management 2009-01-27 15:40:19 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 RHEL Product and Program Management 2009-02-16 10:04:30 EST
Updating PM score.
Comment 4 Don Zickus 2009-04-06 17:16:28 EDT
in kernel-2.6.18-138.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 10 errata-xmlrpc 2009-09-02 04:32:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.